Bug 836252 - net-snmp produces error if the Executables/scripts entries in snmpd.conf is over 50.
Summary: net-snmp produces error if the Executables/scripts entries in snmpd.conf is o...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: net-snmp
Version: 6.2
Hardware: All
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: Jan Safranek
QA Contact: Karel Srot
URL:
Whiteboard:
Depends On: 829271
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-06-28 13:31 UTC by RHEL Program Management
Modified: 2013-01-11 04:14 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Prior to this update, there was a limit of 50 'exec' entries in /etc/snmp/snmpd.conf. With more than 50 such entries in the configuration file, snmpd reported "Error: No further UCD-compatible entries" in the system log. In this update this fixed limit is removed and there can be any number of 'exec' entries in the snmpd configuration file.
Clone Of:
Environment:
Last Closed: 2012-07-23 05:49:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:1106 normal SHIPPED_LIVE net-snmp bug fix update 2012-07-23 09:48:49 UTC

Description RHEL Program Management 2012-06-28 13:31:10 UTC
This bug has been copied from bug #829271 and has been proposed
to be backported to 6.3 z-stream (EUS).

Comment 4 Jan Safranek 2012-06-29 13:32:44 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Prior to this update, there was a limit of 50 'exec' entries in /etc/snmp/snmpd.conf. With more than 50 such entries in the configuration file, snmpd reported "Error: No further UCD-compatible entries" in the system log. In this update this fixed limit is removed and there can be any number of 'exec' entries in the snmpd configuration file.

Comment 7 Karel Srot 2012-07-09 13:15:02 UTC
I have encountered some differences between snmpd on RHEL5 and RHEL6...

net-snmp-5.3.2.2-18.el5:
UCD-SNMP-MIB::extCommand.1 = STRING: /bin/echo message 1
UCD-SNMP-MIB::extErrFix.1 = INTEGER: 0

net-snmp-5.5-41.el6_3.1:
UCD-SNMP-MIB::extCommand.1 = STRING: /bin/echo
UCD-SNMP-MIB::extErrFix.1 = INTEGER: noError(0)

Is this intentional?

Comment 9 errata-xmlrpc 2012-07-23 05:49:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-1106.html

Comment 10 Jan Safranek 2012-07-23 10:02:28 UTC
(In reply to comment #7)
> I have encountered some differences between snmpd on RHEL5 and RHEL6...
> 
> net-snmp-5.3.2.2-18.el5:
> UCD-SNMP-MIB::extCommand.1 = STRING: /bin/echo message 1
> UCD-SNMP-MIB::extErrFix.1 = INTEGER: 0
> 
> net-snmp-5.5-41.el6_3.1:
> UCD-SNMP-MIB::extCommand.1 = STRING: /bin/echo
> UCD-SNMP-MIB::extErrFix.1 = INTEGER: noError(0)
> 
> Is this intentional?



UCD-SNMP-MIB::extErrFix.1 = noError(0) is intentional, it just adds meaning to the zero value.


UCD-SNMP-MIB::extCommand.1 = STRING: /bin/echo missing cmdline arguments seems to be bug, UCD-SNMP-MIB describes 'extCommand' as 'The command line to be executed,' which IMHO should contain also its arguments.

Comment 11 Karel Srot 2012-07-23 10:50:46 UTC
(In reply to comment #10)
> UCD-SNMP-MIB::extCommand.1 = STRING: /bin/echo missing cmdline arguments
> seems to be bug, UCD-SNMP-MIB describes 'extCommand' as 'The command line to
> be executed,' which IMHO should contain also its arguments.

Filed as bug 842279. Thank you.


Note You need to log in before you can comment on or make changes to this bug.